> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile

> Get a Twitch user's public profile information.

**Credit Cost:** 1 credit per request

<Note>💳 **1 credit per request**</Note>


## OpenAPI

````yaml GET /v1/scrape/twitch/profile
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/twitch/profile:
    get:
      tags:
        - twitch
      summary: Profile
      description: |-
        Get a Twitch user's public profile information.

        **Credit Cost:** 1 credit per request
      operationId: twitch_Profile
      parameters:
        - name: handle
          in: query
          description: Twitch handle
          required: true
          schema:
            type: string
            example: ishowspeed
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `id`: Twitch user ID

            - `handle`: Twitch login handle

            - `displayName`: Display name

            - `profileImageURL`: Profile avatar URL

            - `bannerImageURL`: Profile banner URL

            - `description`: Channel bio/description

            - `followers`: Total follower count

            - `isPartner`: Whether the user is a Twitch Partner

            - `isLive`: Whether currently streaming

            - `currentViewersCount`: Current live viewer count (null if offline)

            - `stream`: Current stream details (empty object if offline)

            - `recentBroadcasts[].title`: VOD title

            - `recentBroadcasts[].viewCount`: VOD view count

            - `recentBroadcasts[].lengthSeconds`: VOD duration in seconds

            - `recentBroadcasts[].publishedAt`: ISO 8601 publish timestamp

            - `recentBroadcasts[].game`: Game/category info with name and box
            art

            - `allVideos[]`: All videos including highlights and uploads

            - `similarStreamers`: Related streamers
          content:
            application/json:
              example:
                success: true
                data:
                  success: true
                  id: '220476955'
                  isLive: false
                  currentViewersCount: null
                  stream: {}
                  handle: ishowspeed
                  displayName: IShowSpeed
                  profileImageURL: >-
                    https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-150x150.png
                  bannerImageURL: >-
                    https://static-cdn.jtvnw.net/jtv_user_pictures/983dc814-a78c-4e5a-9d22-e6e7595c76e1-profile_banner-480.png
                  description: >-
                    YouTube:IShowSpeed Instagram:IShowSpeed:
                    Snapchat:wishowspeed Twitter: ishowspeedsui I luv y’all🐐💕
                  followers: 4920180
                  isPartner: true
                  recentBroadcasts:
                    '0':
                      id: '2790997945'
                      title: WORLD TALENT SHOW🌎 LIVE NOW !!! (Presented by Cash App)
                      previewThumbnailURL: >-
                        https://static-cdn.jtvnw.net/cf_vods/d2nvs31859zcd8/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180//thumb/thumb0-320x180.jpg
                      publishedAt: '2026-06-07T16:03:05Z'
                      viewCount: 510727
                      lengthSeconds: 8051
                      animatedPreviewURL: >-
                        https://d2nvs31859zcd8.cloudfront.net/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180/storyboards/2790997945-strip-0.jpg
                      resourceRestriction: null
                      contentTags: {}
                      self:
                        isRestricted: false
                        viewingHistory: null
                        __typename: VideoSelfEdge
                      game:
                        id: '509658'
                        slug: just-chatting
                        boxArtURL: >-
                          https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg
                        displayName: Just Chatting
                        name: Just Chatting
                        __typename: Game
                      owner:
                        id: '220476955'
                        displayName: IShowSpeed
                        login: ishowspeed
                        profileImageURL: >-
                          https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png
                        primaryColorHex: FF4747
                        __typename: User
                      __typename: Video
                    '1':
                      id: '2787731127'
                      title: FIFA MADE IT OFFICIAL! + LITT STREAM🔥
                      previewThumbnailURL: >-
                        https://static-cdn.jtvnw.net/cf_vods/d2vi6trrdongqn/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700//thumb/thumb0-320x180.jpg
                      publishedAt: '2026-06-03T16:38:30Z'
                      viewCount: 254970
                      lengthSeconds: 6015
                      animatedPreviewURL: >-
                        https://d2vi6trrdongqn.cloudfront.net/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700/storyboards/2787731127-strip-0.jpg
                      resourceRestriction: null
                      contentTags: {}
                      self:
                        isRestricted: false
                        viewingHistory: null
                        __typename: VideoSelfEdge
                      game:
                        id: '509658'
                        slug: just-chatting
                        boxArtURL: >-
                          https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg
                        displayName: Just Chatting
                        name: Just Chatting
                        __typename: Game
                      owner:
                        id: '220476955'
                        displayName: IShowSpeed
                        login: ishowspeed
                        profileImageURL: >-
                          https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png
                        primaryColorHex: FF4747
                        __typename: User
                      __typename: Video
                  allVideos:
                    '0':
                      animatedPreviewURL: >-
                        https://d2nvs31859zcd8.cloudfront.net/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180/storyboards/2790997945-strip-0.jpg
                      game:
                        boxArtURL: >-
                          https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg
                        id: '509658'
                        slug: just-chatting
                        displayName: Just Chatting
                        name: Just Chatting
                        __typename: Game
                      id: '2790997945'
                      lengthSeconds: 8051
                      owner:
                        displayName: IShowSpeed
                        id: '220476955'
                        login: ishowspeed
                        profileImageURL: >-
                          https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png
                        primaryColorHex: FF4747
                        roles:
                          isPartner: true
                          __typename: UserRoles
                        __typename: User
                      previewThumbnailURL: >-
                        https://static-cdn.jtvnw.net/cf_vods/d2nvs31859zcd8/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180//thumb/thumb0-320x180.jpg
                      publishedAt: '2026-06-07T16:03:05Z'
                      self:
                        isRestricted: false
                        viewingHistory: null
                        __typename: VideoSelfEdge
                      title: WORLD TALENT SHOW🌎 LIVE NOW !!! (Presented by Cash App)
                      viewCount: 510727
                      resourceRestriction: null
                      contentTags: {}
                      __typename: Video
                    '1':
                      animatedPreviewURL: >-
                        https://d2vi6trrdongqn.cloudfront.net/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700/storyboards/2787731127-strip-0.jpg
                      game:
                        boxArtURL: >-
                          https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg
                        id: '509658'
                        slug: just-chatting
                        displayName: Just Chatting
                        name: Just Chatting
                        __typename: Game
                      id: '2787731127'
                      lengthSeconds: 6015
                      owner:
                        displayName: IShowSpeed
                        id: '220476955'
                        login: ishowspeed
                        profileImageURL: >-
                          https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png
                        primaryColorHex: FF4747
                        roles:
                          isPartner: true
                          __typename: UserRoles
                        __typename: User
                      previewThumbnailURL: >-
                        https://static-cdn.jtvnw.net/cf_vods/d2vi6trrdongqn/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700//thumb/thumb0-320x180.jpg
                      publishedAt: '2026-06-03T16:38:30Z'
                      self:
                        isRestricted: false
                        viewingHistory: null
                        __typename: VideoSelfEdge
                      title: FIFA MADE IT OFFICIAL! + LITT STREAM🔥
                      viewCount: 254970
                      resourceRestriction: null
                      contentTags: {}
                      __typename: Video
                  similarStreamers: {}
                credits_used: 1
                endpoint: twitch/profile
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Twitch handle is required
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                  available:
                    type: integer
                    example: 0
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````